by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jan 31 2019 22:12
    stubblyhead commented #3328
  • Jan 31 2019 21:58
    codecov-io commented #3899
  • Jan 31 2019 21:57
    codecov-io commented #3899
  • Jan 31 2019 21:57

    stealthycoin on develop

    chore: Use OrderedDict in yamlh… Import from ordereddict and sim… Support parsing yaml merge tags and 2 more (compare)

  • Jan 31 2019 21:57
    stealthycoin closed #3899
  • Jan 31 2019 21:56
    codecov-io commented #3899
  • Jan 31 2019 21:56
    codecov-io commented #3899
  • Jan 31 2019 21:56
    codecov-io commented #3899
  • Jan 31 2019 21:55
    codecov-io commented #3899
  • Jan 31 2019 21:45
    shwetaskatdare synchronize #3899
  • Jan 31 2019 21:45
    codecov-io commented #3899
  • Jan 31 2019 20:40
    codecov-io commented #3899
  • Jan 31 2019 20:40
    codecov-io commented #3899
  • Jan 31 2019 20:39
    codecov-io commented #3899
  • Jan 31 2019 20:39
    codecov-io commented #3899
  • Jan 31 2019 20:38
    codecov-io commented #3899
  • Jan 31 2019 20:27
    shwetaskatdare opened #3899
  • Jan 31 2019 19:20
    vvasc starred aws/aws-cli
  • Jan 31 2019 18:29
    klaytaybai unlabeled #3892
  • Jan 31 2019 18:29
    klaytaybai labeled #3892
Darren Paxton
@dspaxton
hi all, tried building the v2 cli using the guide by pulling the v2 repository branch and running the pip install commands but getting a problem with s3transfer compatibility. anyone else seen this?
Ronique Ricketts
@RoniqueRicketts
I am trying to get a Microservice up and running in ECS but I have a question. Does each service get its own task definition in ECS?
Eric Millinder
@ericmillinder
@dspaxton I've been struggling with that today. "ERROR: s3transfer 0.3.0 has requirement botocore<2.0.0,>=1.12.36, but you'll have botocore 2.0.0.dev2 which is incompatible." Then when running virtualenv/bin/aws I get 'Requirement.parse('botocore<2.0.0,>=1.12.36'), {'s3transfer'})'. If I run the aws that is in the project root (aws-cli/bin/aws) it runs without checking the requirements.
ha! No one has posted in here lately.
Evan Nadeau
@evannadeau
Is anyone aware of a way to find the permitted Filter Keys for any one command? In my case, I'm trying to find the filter Keys for SSM's describe-maintenance-window-schedule
wimaac
@wimaac
Any idea why I cant find certain aws commands in the cli? Running Amazon linux 2 AMI with aws-cli version 1.16.300 (For reference, trying to use aws efs create-access-point on govcloud) Is it because I need aws-cli version 2?
Satya Kuppam
@SatyaKuppam
I made some code changes to the aws-cli. What test suites are available and how do I run them?
Cuong Nguyen
@cuongnv23
hi, I'm using STS to issue temp access keys for users, but can't find a way to force remove or expire an access key. any idea to do that? currently I can only see there is a button to remove all sessions, I would like to remove determined session only
tfolbrecht
@tfolbrecht
Hey all, going to attempt to add arm builds to V2. Looks like it should be configurable with the pyinstaller config. Any tips on helping my patch get upstreamed? It's my first time contribution.
tfolbrecht
@tfolbrecht
Building the awsv2 binary on arm has been such a pain in the neck. I see why nobodies done it. haha
tfolbrecht
@tfolbrecht
It builds fine - user error.
Hope there's some official builds soon
disperse
@disperse

Any tips for installing on MacOSX Sierra? Python versions are as follows:

$python3 --version
Python 3.7.1
$python --version
Python 2.7.10

When I run aws configure I get the following message:

$aws configure
Traceback (most recent call last):
  File "/usr/local/bin/aws", line 4, in <module>
    __import__('pkg_resources').run_script('awscli==1.18.2', 'aws')
  File "/Library/Python/2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/Library/Python/2.7/site-packages/pkg_resources/__init__.py", line 612, in _build_master
    ws.require(__requires__)
  File "/Library/Python/2.7/site-packages/pkg_resources/__init__.py", line 918, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/Library/Python/2.7/site-packages/pkg_resources/__init__.py", line 805, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: colorama<0.4.4,>=0.2.5
$pip3 install colorama
Requirement already satisfied: colorama in /Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/colorama-0.4.3-py3.7.egg (0.4.3)
disperse
@disperse
OK, got it working, this gist pointed me in the right direction: https://github.com/rajivkanaujia/alphaworks/wiki/Installing-AWS-CLI-via-pip3-and-python3
alasfour
@aliasfour
Does the vli-v2 support mfa?
*cli
BobbieBarker
@BobbieBarker
Screen Shot 2020-02-20 at 7.46.59 AM.png
:point_up: this is what happens when i try to run my builds now. I don't know why this is a sudden development, and I haven't been able to figure out why this started happening yet.
Benjamin Kozuch
@Benjamin-Kozuch

my requirement.txt has b
boto3==1.11.9
awscli==1.17.9

and Im getting this message:

awscli 1.17.9 has requirement botocore==1.14.9, but you'll have botocore 1.14.17 which is incompatible.
pendulum 1.4.4 has requirement tzlocal<2.0.0.0,>=1.5.0.0, but you'll have tzlocal 2.0.0 which is incompatible.

any idea what I need to change?

Patrick Sauerborn
@patsa

Hey there, I've got a problem that's driving me nuts.
I'm trying to set my configuration for the aws cli but it returns the error "too few arguments".

Specifically I'm talking about the following command:
aws configure set aws_access_key_id $live_id --profile default

The culprit is the damn dollar sign, which leads to the aws cli ignoring everything after it.

James Saryerwinnie
@jamesls
Just to double check, are you use that $live_id is set? What happens if you run echo aws configure set aws_access_key_id $live_id --profile default?
John Bozarov
@JBozarov
Hi everyone I am trying to install AWS EC2 CLI but getting these errors
this is the error I am getting on mac terminal:
BUILD FAILED (OS X 10.15.3 using python-build 20180424)
Inspect or clean up the working tree at /var/folders/0v/b489c3xs7tj_tghvkzf075780000gn/T/python-build.20200311001852.70728
Results logged to /var/folders/0v/b489c3xs7tj_tghvkzf075780000gn/T/python-build.20200311001852.70728.log
Last 10 log lines:
File "/private/var/folders/0v/b489c3xs7tjtghvkzf075780000gn/T/python-build.20200311001852.70728/Python-3.7.2/Lib/ensurepip/main.py", line 5, in <module>
sys.exit(ensurepip.main())
File "/private/var/folders/0v/b489c3xs7tjtghvkzf075780000gn/T/python-build.20200311001852.70728/Python-3.7.2/Lib/ensurepip/init.py", line 204, in main
default_pip=args.default_pip,
File "/private/var/folders/0v/b489c3xs7tj_tghvkzf075780000gn/T/python-build.20200311001852.70728/Python-3.7.2/Lib/ensurepip/init.py", line 117, in _bootstrap
return _run_pip(args + [p[0] for p in _PROJECTS], additional_paths)
File "/private/var/folders/0v/b489c3xs7tj_tghvkzf075780000gn/T/python-build.20200311001852.70728/Python-3.7.2/Lib/ensurepip/
init.py", line 27, in _run_pip
import pip._internal
zipimport.ZipImportError: can't decompress data; zlib not available
make: * [install] Error 1
Exiting due to failure
My mac: Catalina version: 10.15.3
what I did: I installed Xcode openssl zlib readline and homebrew
but still getting same code
can anyone help me ?
Zachary Smith
@zachisit
hi all. i am able to run aws configure list and see my s3 buckets, and can run any aws command in my ec2 server via CL. but when i put aws commands into a bash file and execute the file, i get "Unable to located credentials". What am I missing here?
Google results are showing that when I run the script it isn't locating the correct home dir. I'm not understanding how to circumvent this.
shashj
@shashj
hey guys, I am unable to list objects in my bucket on s3 using awscli. Does anyone has idea why? I am using aws s3 ls
It is happening to me today, yesterday it worked fine
shashj
@shashj
got the solution sorry for bothering
Eric Peters
@er1c
When running aws ecr --region $tgtregion create-repository --repository-name $tgtnamespace$repo in a shell script, is there a way to avoid getting the "less" prompt that includes the response of the command?
JesperE
@Jesbjerg

Hallo. I am trying to create a deployment pipeline for Gitlab-CI on a react project. The build is working fine and I use artifacts to store the dist folder from my yarn build command. This is working fine as well.

The issue is regarding my deployment with command: aws s3 sync dist/'bucket-name'.

Expected: "Done in x seconds"

Actual:
error Command failed with exit code 2. info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command. Running after_script 00:01 Uploading artifacts for failed job 00:01 ERROR: Job failed: exit code 1

The files seem to have been uploaded correctly to the S3 bucket, however I do not know why I get an error on the deployment job.
When I run the aws s3 sync dist/'bucket-name'locally everything works correctly.

Yusuf Kanchwala
@kanchwala-yusuf

Hello everyone,

I am trying to fetch a secret stored on AWS SSM using aws-cli command aws ssm get-parameter --name test-key.

This I am trying to execute inside a ECS fargate container's entrypoint script. I am getting the following error:
An error occurred (ParameterNotFound) when calling the GetParameter operation:

On the contrary, when I log into the ECS container and execute the same command on the shell command line, it works fine.

I have explicitly exported the AWS credentials and also given the necessary IAM roles for accessing SSM.

Any ideas? Any help would be really appreciated.
Thanks :)

Ronique Ricketts
@RoniqueRicketts

I added an API to my react app but when I run the code I got a Network Error when I run the below code

const apiName = "sampleApiName";
const path = "/addSomething";
const myInit = {
headers: {        
      'Content-Type': 'application/json',
      "Authorization": `Bearer ${(await Auth.currentSession().then(data => data.idToken.jwtToken))}`  
}
API.get(
        apiName,
        path,
        myInit
      ).then(result => console.log(result))
      .catch(err => console.log(err))

I tried running the code on my API Gateway and I am getting an error "message": "Internal server error"

Buttetsu Batou
@DoubleDensity
does anyone know if is possible to delete a WorkDocs site via awscli/api or anything aside from the management console?
RobertVu
@robertvxt
Hi
Can we cross compile awscli for arm?
Benn Bollay
@bennbollay
Hi folks - I'm trying to use the --generate-cli-skeleton output command for the es create-elasticsearch-domain and all of the examples I can find, including the one in the examples section of the repo, generate this error: Invalid length for parameter DomainStatus.CognitoOptions.RoleArn, value: 7, valid range: 20-inf Ideas? Thoughts?
TerryHighfield
@TerryHighfield
Hi, has anyone had an issue with timestamps "sam build". My .aws-build folder contains files with a 1985 timestamp. The original files have today's date
Ben Dean
@b-dean
does anyone know how aws sso login determines what browser to use? I'm running this in an ssh session with no X session and it's trying to use some text-based browser w3m, and it's terrible. I'd like a way to tell it to do nothing and just show me the link
Bishwo Gurung
@bishwogurung
Hi,
I've set up my frontend ui to be in S3 bucket with CloudFront in front. But I'm getting a 403 when it's trying to interact with an EC2 instance. How do I let an EC2 instance to allow inbound traffic from S3?
Ronique Ricketts
@RoniqueRicketts
If I a pushing a Nodejs Server to ECS - Fargate do I need to put Nginx in front of each Nodejs server or will Fargate handle all that?
Gordon Grant
@ggrant_gitlab

Hi,

I'm using HomeBrew on macOS catalina (10.15.5). awscli was working fine earlier today using the HomeBrew package (2.0.26).

I updated the HomeBrew package to 2.0.28 today and now any TAB completion of sub-commands fails with:

Traceback (most recent call last):
  File "/usr/local/bin/aws_completer", line 36, in <module>
    main()
  File "/usr/local/bin/aws_completer", line 28, in main
    autocomplete(command_line, command_index)
  File "/usr/local/Cellar/awscli/2.0.28/libexec/lib/python3.8/site-packages/awscli/autocomplete/main.py", line 61, in autocomplete
    results = completer.autocomplete(command_line, position)
  File "/usr/local/Cellar/awscli/2.0.28/libexec/lib/python3.8/site-packages/awscli/autocomplete/completer.py", line 42, in autocomplete
    parsed = self._parser.parse(command_line, index)
  File "/usr/local/Cellar/awscli/2.0.28/libexec/lib/python3.8/site-packages/awscli/autocomplete/parser.py", line 145, in parse
    global_args = self._index.arg_names(lineage=[], command_name='aws')
  File "/usr/local/Cellar/awscli/2.0.28/libexec/lib/python3.8/site-packages/awscli/autocomplete/local/model.py", line 104, in arg_names
    results = db.execute(self._ARG_NAME_QUERY,
  File "/usr/local/Cellar/awscli/2.0.28/libexec/lib/python3.8/site-packages/awscli/autocomplete/db.py", line 33, in execute
    return self._connection.execute(query, kwargs)
sqlite3.OperationalError: no such table: param_table

I get the same trace another 2 times, followed by a hanging awscli.

I can't see what is wrong with my install or user data. Any help greatly appreciated.
Thanks, Gordon.

Gordon Grant
@ggrant_gitlab

Hi,

I'm using HomeBrew on macOS catalina (10.15.5). awscli was working fine earlier today using the HomeBrew package (2.0.26).

I updated the HomeBrew package to 2.0.28 today and now any TAB completion of sub-commands fails with:

Found a workaround for this : https://github.com/aws/aws-cli/issues/5338#issuecomment-653683721

Philip Abel
@pdguru81
Hi, anyone here knows how I can get AWS CLI to parse error responses as JSON instead of strings for my JAVA SDK? An example, I would like a response that's returned as this: { "Message": "Resource: with id = 47c67090-19d4-4046-8baa-0018466e2ee9 does not exist", "ResourceId": "47c67090-19d4-4046-8baa-0018466e2ee9", "ResourceType": “OBJECT" } instead of An error occurred (ResourceNotFoundException) when calling the CreateRoute operation: Resource: APPLICATION with id = 47c67090-19d4-4046-8baa-0018466e2ee1 does not exist
The CLI doesn't seem to parse the full body of the error response returned from lambda when it unmarshalls to a custom exception I have defined and I am curious about how anyone here as solved a similar problem in the padt
*past
Jonathan Sarry
@dopyoman
Hey guys I need help using the cli in Windows 10. I've been trying to fetch params from parameter store using the cli aws ssm get-parameter but I keep getting an error An error occurred (ParameterNotFound) when calling the GetParameter operation:
Other cli commands work just fine. So I don't think its an issue with authentication. The parameter exists and I've doubel checked the path. Any other suggestions what I could try to fix this?
Jonathan Sarry
@dopyoman
So using the debug flag I've traced the error. Windows or git bash is turning the name into a file path. aws ssm get-parameter --region eu-west-1 --profile myprofile --with-decr yption --name $TEMP --debug 2020-07-07 11:36:48,997 - MainThread - awscli.clidriver - DEBUG - CLI version: aws-cli/2.0.27 Python/3.7.7 Windows/10 botocore/2.0.0dev31 2020-07-07 11:36:48,998 - MainThread - awscli.clidriver - DEBUG - Arguments entered to CLI: ['ssm', 'get-parameter', '--region', 'eu-west-1', '--profile', 'myprofile ', '--with-decryption', '--name', 'C:/Program Files/Git/param/path/', '--debug']
Harshavardhan Surisetty
@harsha-iiiv

The Alan Hacks Team and Hackathon Hackers are collaborating to bring you THE WORLD'S FIRST HACKATHON FOR VOICE-ENABLED APPLICATIONS

On the 1 - 15th of July, innovators from all over the world will come together (virtually) to innovate and create impactful projects! Competitors are challenged to build softwares to tackle the world's most pressing issues using voice interaction.

Participants will stand a chance to receive monetary prizes (US$900+ prize pool).

Apart from the competition aspect, Alan Ai inc will also host Tech and Social Impact workshops and webinars.

Have friends who are also passionate about voice technology? Invite them to join THE WORLD'S FIRST HACKATHON too, and the one who invites the most qualifying friends will receive goodies.

So what are you waiting for? Sign up now at https://docs.google.com/forms/d/e/1FAIpQLSfz3I2MbBJ2h6ozNAUU9MGutHDy78ZCJKiseRz-R2TOr0LuFQ/viewform?usp=send_form and learn more at https://hackathon.alan.app/

Venkatesh Meruva
@meruvavenkatesh
Hi All,
Any expert is there in AWS CLI?
I'm trying to get snapshot from the instance volume
Amritpal Singh
@amrit3701
Hi, I am configuring bitbucket pipelines and using atlassian/pipelines-awscli image for the communication with aws ECR. In atlassian/pipelines-awscli image we have a docker command but in my project, I have docker-compose.yml when I docker-compose -f docker-compose.yml build I am getting bash: docker-compose: command not found error. Any idea how to install docker-compose? I tried with apt-get but getting command not found error.